<Teams_screen>:
    BoxLayout:
        canvas.before:
            Color:
                rgba: .9,.9,.96,1
            Rectangle:
                size: self.size
                pos: self.pos

        BoxLayout:
            orientation: "vertical"
            size_hint: .25,1
            GridLayout:
                canvas.before:
                    Color:
                        rgba: .7,.7,.7,1
                    Rectangle:
                        size: self.size
                        pos: self.pos


                cols: 1

                id: teams_list
                Team_show_item:
                    name: strs.name
                    e:"E"
                    f:"F"
                    s:"S"

        BoxLayout:
            orientation: "vertical"
            BoxLayout:
                size_hint_y: .3
                Label:
                Text_f:
                    id: team_name
                    size_hint: None, None
                    size: 300,40
                    font_size: 30
                    pos_hint:{'center_y':.5}
                Label_f:
                    text: strs.team_name
                    color: 0,0,0,1
                    font_size: 30
                    pos_hint:{'center_y':.5}
                Label:
                    id: empty

            BoxLayout:
                BoxLayout:
                    orientation: "vertical"
                    spacing:10
                    padding:30
                    Label_f:
                        text: strs.epee_players
                        color: 0,0,0,1
                    Text_f:
                        id: e_p_1
                    Text_f:
                        id: e_p_2
                    Text_f:
                        id: e_p_3
                    Text_f:
                        id: e_p_4
                    Text_f:
                        id: e_p_5

                BoxLayout:
                    orientation: "vertical"
                    spacing:10
                    padding:30
                    Label_f:
                        text: strs.foil_players
                        color: 0,0,0,1
                    Text_f:
                        id: f_p_1
                    Text_f:
                        id: f_p_2
                    Text_f:
                        id: f_p_3
                    Text_f:
                        id: f_p_4
                    Text_f:
                        id: f_p_5

                BoxLayout:
                    orientation: "vertical"
                    spacing:10
                    padding:30
                    Label_f:
                        text: strs.sabre_players
                        color: 0,0,0,1
                    Text_f:
                        id: s_p_1
                    Text_f:
                        id: s_p_2
                    Text_f:
                        id: s_p_3
                    Text_f:
                        id: s_p_4
                    Text_f:
                        id: s_p_5

            BoxLayout:
                size_hint_y: 0.15
                Button:
                    text: "Save"
                    on_release: root.add_team()
